Bug 211225 - [RFE] Krunner dialog could close when enter is pressed and there is no input
Summary: [RFE] Krunner dialog could close when enter is pressed and there is no input
Status: RESOLVED FIXED
Alias: None
Product: krunner
Classification: Plasma
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Unspecified
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-20 17:55 UTC by Robert Ryan
Modified: 2020-10-16 12:51 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.21
kde: Usability?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Ryan 2009-10-20 17:55:32 UTC
Version:            (using Devel)
Installed from:    Compiled sources

I'm really just lazy and don't like to reach all the way to ESC when I change my mind and want to close it. This way my hands never have to leave the home row.
Comment 1 zellox 2015-08-19 06:48:39 UTC
Agreed. It should be closable with empty input.
Comment 2 Kai Uwe Broulik 2016-03-08 10:40:51 UTC
Fairly trivial to add I guess, Usability, should we?
Comment 3 Thomas Pfeiffer 2016-03-10 13:29:58 UTC
Makes sense, it's also consistent: When hitting enter, it would close, with or without doing something, depending on what was entered.
Comment 4 Alexander Lohnau 2020-07-13 08:21:52 UTC
What do others think? IMO would be a useful feature, although we might want to wait for the query to finish before closing KRunner, in case we are typing really fast/use the autocompletion and press enter before the results show up.
Comment 5 Nate Graham 2020-10-14 17:20:04 UTC
Now that krunner closes when you press the initial activation shortcut again, I think Robert's initial reason is now satisfied. That said, the proposal also makes sense. Right now hitting enter on an empty text field does nothing; might as well make it do something.

+1
Comment 6 Bug Janitor Service 2020-10-14 17:44:46 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/365
Comment 7 Nate Graham 2020-10-16 12:51:13 UTC
Git commit 879b2b3899c6b5ec94f3e70d73c07cf346c5d5f5 by Nate Graham, on behalf of Alexander Lohnau.
Committed on 16/10/2020 at 12:50.
Pushed by ngraham into branch 'master'.

Close KRunner if query is empty and enter is pressed
FIXED-IN: 5.21

M  +10   -2    lookandfeel/contents/runcommand/RunCommand.qml

https://invent.kde.org/plasma/plasma-workspace/commit/879b2b3899c6b5ec94f3e70d73c07cf346c5d5f5